%global snapshot 0


Name:           libzhuyin
Version:        1.0.91
Release:        1%{?dist}
Summary:        Library to deal with zhuyin

License:        GPLv2+
URL:            https://github.com/libzhuyin/libzhuyin
Source0:        http://downloads.sourceforge.net/libzhuyin/libzhuyin/%{name}-%{version}.tar.gz
%if %snapshot
Patch0:         libzhuyin-1.0.x-head.patch
%endif

BuildRequires:  libdb-devel, glib2-devel
Requires:       %{name}-data%{?_isa} = %{version}-%{release}

%description
The libzhuyin project aims to provide the algorithms core
for intelligent sentence-based Chinese zhuyin input methods.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        data
Summary:        Data files for %{name}
Requires:       %{name} = %{version}-%{release}

%description data
The %{name}-data package contains data files.


%prep
%setup -q

%if %snapshot
%patch0 -p1 -b .head
%endif

%build
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README
%{_libdir}/*.so.*
%dir %{_libdir}/libzhuyin

%files devel
%doc
%dir %{_includedir}/libzhuyin-%{version}
%{_includedir}/libzhuyin-%{version}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzhuyin.pc
%{_mandir}/man1/*.1.*

%files data
%doc
%{_libdir}/libzhuyin/data


%changelog
* Tue Aug 18 2015 Peng Wu <pwu@redhat.com> - 1.0.91-1
- Update to 1.0.91

* Tue Jun 30 2015 Peng Wu <pwu@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 Peng Wu <pwu@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 23 2015 Peng Wu <pwu@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Mon Sep 29 2014 Peng Wu <pwu@redhat.com> - 0.9.99.20140929-1
- Update to 0.9.99.20140929

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.99.20140718-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Peng Wu <pwu@redhat.com> - 0.9.99.20140718-1
- Update to 0.9.99.20140718

* Thu Jun 19 2014 Peng Wu <pwu@redhat.com> - 0.9.99.20140619-1
- Update to 0.9.99.20140619

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.99.20140425-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Peng Wu <pwu@redhat.com> - 0.9.99.20140425-1
- Update to 0.9.99.20140425

* Tue Dec 24 2013 Peng Wu <pwu@redhat.com> - 0.9.93-1
- Initial version

